<?php


$painting_company_color_scheme_css = '';

//---------------------------------Logo-Max-height--------- 
  $painting_company_logo_width = get_theme_mod('painting_company_logo_width');

  if($painting_company_logo_width != false){

    $painting_company_color_scheme_css .='.logo .custom-logo-link img{';

      $painting_company_color_scheme_css .='width: '.esc_html($painting_company_logo_width).'px;';

    $painting_company_color_scheme_css .='}';
  }

    // by default header
    $painting_company_banner = get_theme_mod('painting_company_banner');

    if($painting_company_banner != true){

        $painting_company_color_scheme_css .='.page-template-template-home-page .main-header{';

            $painting_company_color_scheme_css .='position: static;';

        $painting_company_color_scheme_css .='}';

        $painting_company_color_scheme_css .='.page-template-template-home-page .header-sec:after, .page-template-template-home-page .header-sec:before{';

            $painting_company_color_scheme_css .='background-image: none;';

        $painting_company_color_scheme_css .='}';

    }

    $painting_company_banner_topbar_bg_color = get_theme_mod('painting_company_banner_topbar_bg_color');
    if($painting_company_banner_topbar_bg_color != false){
        $painting_company_color_scheme_css .='.main-header{';
            $painting_company_color_scheme_css .='background-color: '.esc_attr($painting_company_banner_topbar_bg_color).';';
        $painting_company_color_scheme_css .='}';
        $painting_company_color_scheme_css .='@media screen and (max-width: 767px){';
        $painting_company_color_scheme_css .='.page-template-template-home-page .main-header, .page-template-template-home-page .header-sec{';
            $painting_company_color_scheme_css .='background-color: '.esc_attr($painting_company_banner_topbar_bg_color).';';
        $painting_company_color_scheme_css .='}';
        $painting_company_color_scheme_css .='}';
    }

    $painting_company_topbar_first_image = get_theme_mod('painting_company_topbar_first_image');
    if($painting_company_topbar_first_image != false){
        $painting_company_color_scheme_css .='.page-template-template-home-page .header-sec:before{';
            $painting_company_color_scheme_css .='background: url('.esc_attr($painting_company_topbar_first_image).')!important;';
            $painting_company_color_scheme_css .= 'background-size: cover!important;';  
        $painting_company_color_scheme_css .='}';
    }

    $painting_company_topbar_second_image = get_theme_mod('painting_company_topbar_second_image');
    if($painting_company_topbar_second_image != false){
        $painting_company_color_scheme_css .='.page-template-template-home-page .header-sec:after{';
            $painting_company_color_scheme_css .='background: url('.esc_attr($painting_company_topbar_second_image).')!important;';
            $painting_company_color_scheme_css .= 'background-size: cover!important;';  
        $painting_company_color_scheme_css .='}';
    }

    $painting_company_banner_img_bg_color = get_theme_mod('painting_company_banner_img_bg_color');
    if($painting_company_banner_img_bg_color != false){
        $painting_company_color_scheme_css .='.banner-page .banner-right-img .imagebox::before{';
            $painting_company_color_scheme_css .='background-color: '.esc_attr($painting_company_banner_img_bg_color).' !important;';
        $painting_company_color_scheme_css .='}';
    }

    $painting_company_banner_bg_color_first = get_theme_mod('painting_company_banner_bg_color_first');
    $painting_company_banner_bg_color_second = get_theme_mod('painting_company_banner_bg_color_second');
    if($painting_company_banner_bg_color_first != false || $painting_company_banner_bg_color_second != false){
        $painting_company_color_scheme_css .='#banner-cat{';
            $painting_company_color_scheme_css .='background: linear-gradient(90deg, '.esc_attr($painting_company_banner_bg_color_first).'  0%, '.esc_attr($painting_company_banner_bg_color_second).' 100%);';
        $painting_company_color_scheme_css .='}';
    }

/*--------------------------- Woocommerce Product Image Border Radius -------------------*/

$painting_company_woo_product_img_border_radius = get_theme_mod('painting_company_woo_product_img_border_radius');
  if($painting_company_woo_product_img_border_radius != false){
    $painting_company_color_scheme_css .='.woocommerce ul.products li.product a img{';
    $painting_company_color_scheme_css .='border-radius: '.esc_attr($painting_company_woo_product_img_border_radius).'px;';
    $painting_company_color_scheme_css .='}';
}  

/*--------------------------- Scroll to top positions -------------------*/

$painting_company_scroll_position = get_theme_mod( 'painting_company_scroll_position','Right');
if($painting_company_scroll_position == 'Right'){
    $painting_company_color_scheme_css .='#button{';
        $painting_company_color_scheme_css .='right: 20px;';
    $painting_company_color_scheme_css .='}';
}else if($painting_company_scroll_position == 'Left'){
    $painting_company_color_scheme_css .='#button{';
        $painting_company_color_scheme_css .='left: 20px;';
    $painting_company_color_scheme_css .='}';
}else if($painting_company_scroll_position == 'Center'){
    $painting_company_color_scheme_css .='#button{';
        $painting_company_color_scheme_css .='right: 50%;left: 50%;';
    $painting_company_color_scheme_css .='}';
}

/*--------------------------- Footer Background Color -------------------*/

$painting_company_footer_bg_color = get_theme_mod('painting_company_footer_bg_color');
if($painting_company_footer_bg_color != false){
    $painting_company_color_scheme_css .='#footer{';
        $painting_company_color_scheme_css .='background-color: '.esc_attr($painting_company_footer_bg_color).' !important;';
    $painting_company_color_scheme_css .='}';
}

/*--------------------------- Footer background image -------------------*/

$painting_company_footer_bg_image = get_theme_mod('painting_company_footer_bg_image');
if($painting_company_footer_bg_image != false){
    $painting_company_color_scheme_css .='#footer{';
        $painting_company_color_scheme_css .='background: url('.esc_attr($painting_company_footer_bg_image).')!important;';
        $painting_company_color_scheme_css .= 'background-size: cover!important;';  
    $painting_company_color_scheme_css .='}';
}

/*--------------------------- Woocommerce Product Sale Position -------------------*/    

$painting_company_product_sale_position = get_theme_mod( 'painting_company_product_sale_position','Left');
if($painting_company_product_sale_position == 'Right'){
    $painting_company_color_scheme_css .='.woocommerce ul.products li.product .onsale{';
        $painting_company_color_scheme_css .='left:auto !important; right:.5em !important;';
    $painting_company_color_scheme_css .='}';
}else if($painting_company_product_sale_position == 'Left'){
    $painting_company_color_scheme_css .='.woocommerce ul.products li.product .onsale {';
        $painting_company_color_scheme_css .='right:auto !important; left:.5em !important;';
    $painting_company_color_scheme_css .='}';
}        

/*--------------------------- Shop page pagination -------------------*/

$painting_company_wooproducts_nav = get_theme_mod('painting_company_wooproducts_nav', 'Yes');
if($painting_company_wooproducts_nav == 'No'){
  $painting_company_color_scheme_css .='.woocommerce nav.woocommerce-pagination{';
    $painting_company_color_scheme_css .='display: none;';
  $painting_company_color_scheme_css .='}';
}

/*--------------------------- Related Product -------------------*/

$painting_company_related_product_enable = get_theme_mod('painting_company_related_product_enable',true);
if($painting_company_related_product_enable == false){
  $painting_company_color_scheme_css .='.related.products{';
    $painting_company_color_scheme_css .='display: none;';
  $painting_company_color_scheme_css .='}';
}